﻿using System.ComponentModel;
using System.Net.Http;
using System.Runtime.CompilerServices;
using System.Threading.Tasks;
using Avalonia.Media.Imaging;
using Avalonia.Threading;
using CommunityToolkit.Mvvm.ComponentModel;

namespace 山海奇闻录.ViewModels;

public partial class MainViewModel : ViewModelBase
{
    //界面文字
    [ObservableProperty] private string _AppTitle = "山海奇闻录";
    [ObservableProperty] private string _MyValue = "我的 / 上传";
    [ObservableProperty] private string _Friendly = "社交";
    [ObservableProperty] private string _TextBook = "文案";
    [ObservableProperty] private string _TalkPhotos = "图片";
}

//加载logo
public partial class MainViewModel : INotifyPropertyChanged
{
    private Bitmap _LogoUrl;
    public Bitmap LogoUrl
    {
        get => _LogoUrl;
        set
        {
            _LogoUrl = value;
            OnPropertyChanged();
        }
    }

    public MainViewModel()
    {
        LoadImageAsync();
    }

    private async Task LoadImageAsync()
    {
        var url = "https://shanhai.linuxacme.com/logo.png";
        using (var httpClient = new HttpClient())
        {
            var imageData = await httpClient.GetByteArrayAsync(url);
            var bitmap = new Bitmap(new System.IO.MemoryStream(imageData));

            // 确保在 UI 线程上更新属性
            Dispatcher.UIThread.InvokeAsync(() =>
            {
                LogoUrl = bitmap;
            });
        }
    }

    public event PropertyChangedEventHandler PropertyChanged;

    protected void OnPropertyChanged([CallerMemberName] string propertyName = null)
    {
        PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
    }
}